<?php
/**
 * Created by JetBrains PhpStorm.
 * User: brook73
 * Date: 6/5/13
 * Time: 11:37 PM
 * To change this template use File | Settings | File Templates.
 */

class HDApplication extends CWebApplication
{
	/** @var User $_user */
	protected static $_user = null;

	public static function createWebApplication($config=null)
	{
		return self::createApplication('CWebApplication',$config);
	}

	public function end($status=0, $exit=true)
	{
		static $called;

		if (!$called)
			$called = true;
		else
			exit;

		if ($this->hasEventHandler('onEndRequest'))
			$this->onEndRequest(new CEvent($this));

		$ajax_return = array ();

		if (!empty($this->controller))
		{
			if (!empty($this->controller->ajax_updates))
				$ajax_return['html'] = $this->controller->ajax_updates;

			if (!empty($this->controller->ajax_data))
				$ajax_return['data'] = $this->ajax_data;

			if (!$this->controller->is_redirect)
			{
				$messages = array ();

				foreach($this->user->getFlashes(true) as $key => $message) {
					$messages[$key] = $message;
				}

				if (!empty($messages))
					$ajax_return['messages'] = $messages;

				if (!empty($ajax_return))
					echo CJSON::encode($ajax_return);
			}
		}

		if ($exit)
			exit($status);
	}

	public function init()
	{
		parent::init();

		if (defined('RE_DESK_INSTALLED'))
		{
			Yii::app()->db->createCommand("SET SQL_MODE='NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION'")->query();

			$this->checkUp();

			$languages = Settings::get('languages');

			if (!empty($_REQUEST['lang']) && in_array($_REQUEST['lang'], $languages))
			{
				$cookie = new CHttpCookie('language', $_REQUEST['lang']);
				$cookie->expire = time() + 60 * 60 * 24 * 180;

				Yii::app()->request->cookies['language'] = $cookie;
			}

			$cookie = empty(Yii::app()->request->cookies['language']) ? false : Yii::app()->request->cookies['language']->value;

			if (empty($cookie) || !in_array($cookie, $languages))
			{
				$preferred = substr(Yii::app()->getRequest()->getPreferredLanguage(), 0, 2);

				if (!empty($preferred) && in_array($preferred, $languages))
					Yii::app()->setLanguage($preferred);
				else
				{
					$lang = reset($languages);
					Yii::app()->setLanguage($lang);
				}
			}
			else
				Yii::app()->setLanguage($cookie);

			if (Settings::get('timezone'))
				Yii::app()->setTimeZone(Settings::get('timezone'));
			else
				Yii::app()->setTimeZone('Europe/Moscow');
		}
	}

	public function getAppMode()
	{
		list($type, ) = explode('-', Settings::get('license_number'));

		return empty($type) ? 'TRIAL' : $type;
	}

	public function getCurrentUser()
	{
		if (!self::$_user)
			self::$_user = Yii::app()->getModule('user')->user();

		return self::$_user ? self::$_user : false;
	}

	public function checkUp()
	{
		$version = Settings::get('version');

		if (!$version)
			$version = '1.0.1';

		$manager = new UpgradeManager();

		foreach ($manager->getReleases() as $number => $patch)
		{
			if ($version < $number)
			{
				$manager->installPatch($patch);
			}
		}
	}

	public function createAbsoluteUrl($route,$params=array(),$schema='',$ampersand='&')
	{
		$url=$this->createUrl($route,$params,$ampersand);
		if(strpos($url,'http')===0)
			return $url;
		else
		{
			if (Settings::get('helpdesk_url'))
				return 'http://' . Settings::get('helpdesk_url') . $url;
			else
				return $this->getRequest()->getHostInfo($schema).$url;
		}
	}
}

function addParamToUrl($param, $value)
{
	$get = $_GET;
	$get[$param] = $value;
	unset($get['id']);

	return '/' . Yii::app()->request->getPathInfo() . "?" . http_build_query($get);
}

function sendAppMail(YiiMailMessage $mail, EmailAccounts $account = null)
{
    // Send messages block, author FROM settings
    Yii::app()->mail->transportType = 'smtp';

	if (empty($account))
	{
	    $host = Settings::get('smtp_host');

	    if (!empty($host))
        {
            Yii::app()->mail->transportOptions = array (
                'host'		 => Settings::get('smtp_host'),
                'username'	 => Settings::get('email_address'),
                'password'	 => Settings::get('email_password'),
                'port'		 => Settings::get('smtp_port'),
                'encryption' => Settings::get('smtp_encryption'),
            );
        }
        else
        {
            $mail->setFrom('support@re-desk.com');

            Yii::app()->mail->transportOptions = array (
                'host'		 => 'smtp.yandex.ru',
                'username'	 => 'support@re-desk.com',
                'password'	 => 'dsjdk&^21nmnnma',
                'port'		 => 465,
                'encryption' => 'ssl',
            );
        }
	}
	else
	{
        // Send messages block, author FROM settings
        Yii::app()->mail->transportType = 'smtp';

		Yii::app()->mail->transportOptions = array (
			'host'		 => $account->smtp_host,
			'username'	 => $account->email_address,
			'password'	 => $account->email_password,
			'port'		 => $account->smtp_port,
			'encryption' => $account->smtp_encryption
		);

		$mail->account_id = $account->id;
	}

	return Yii::app()->mail->send($mail);
}