<?php

require_once __DIR__ . '/../vendors/twitterOAuth/TwitterOAuth.php';
require_once __DIR__ . '/../vendors/twitterOAuth/Exception/TwitterException.php';

use TwitterOAuth\TwitterOAuth;

class HDTwitterAuth extends TwitterOAuth
{
	protected function processExceptions($type, $ex)
	{
		if (Yii::app()->user)
		{
			switch ($type) {
				case 'array':
					foreach ($ex['errors'] as $error)
						Yii::app()->user->setFlash('success', 'Twitter error ' . $error->code . ': ' . $error->message);

					break;

				default:
					foreach ($ex->errors as $error)
						Yii::app()->user->setFlash('success', 'Twitter error ' . $error->code . ': ' . $error->message);
			}

			unset($type, $ex, $error);
		}
	}
}

class TwitterApi
{
	static protected $connection;

	public static function getConnection()
	{
		if (!self::$connection)
		{
			$config = array(
				'consumer_key'       => Settings::get('consumer_key'), // API key
				'consumer_secret'    => Settings::get('consumer_secret'), // API secret
				'oauth_token'        => Settings::get('oauth_token'), // not needed for app only
				'oauth_token_secret' => Settings::get('oauth_token_secret'),
				'output_format'      => 'object'
			);

			self::$connection = new HDTwitterAuth($config);
		}

		return self::$connection;
	}
}