<?php

Yii::setPathOfAlias('bootstrap', dirname(__FILE__).'/../extensions/bootstrap');

if (!function_exists('_t')) {
	function _t($message,$params=array(),$source=null,$language=null, $category = 'app') {
		return Yii::t($category, $message, $params, $source, $language);
	}
}

return array(
	'basePath'=>dirname(__FILE__).DIRECTORY_SEPARATOR.'..',
	'name'=>'Helpdesk',
	'defaultController' => 'install/',

	// autoloading model and component classes
	'import'=>array(
		'application.models.*',
		'application.components.*',
		'ext.mail.YiiMailMessage',
		'application.helpers.*',
		'application.modules.user.*',
		'application.modules.user.models.*',
		'application.modules.user.components.*',
		'application.modules.rights.*',
		'application.modules.rights.models.*',
		'application.modules.rights.components.*',
		'application.modules.rights.components.dataproviders.*',
	),

	// application components
	'components'=>array(
		// uncomment the following to enable URLs in path-format

		'urlManager'=>array(
			'urlFormat'=>'path',
			'rules'=>array(
				'<controller:\w+>/<id:\d+>'=>'<controller>/view',
				'<controller:\w+>/<action:\w+>/<id:\d+>'=>'<controller>/<action>',
				'<controller:\w+>/<action:\w+>'=>'<controller>/<action>',
			),
			'showScriptName' => false,
		),
		'image'=>array(
			'class'=>'application.extensions.image.CImageComponent',
			'driver'=>'GD',
		),
		'bootstrap'=>array(
			'class'=>'bootstrap.components.Bootstrap',
		),
		'request'=>array(
			'class'     => 'system.web.CHttpRequest',
		),
		'user'=>array(
			'class' => 'RWebUser',
			'allowAutoLogin'=>true,
		),
	),

	'params'=>array(
		'per_page'   => array (
			20, 50, 100
		)
	),
	'theme'=>'bootstrap',

	'modules'=>array(
		'user' => array(
			'tableUsers' => 'tbl_users',
			'tableProfiles' => 'tbl_profiles',
			'tableProfileFields' => 'tbl_profiles_fields',
		),
		'rights',
	),
);