/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

/*Table structure for table `AuthAssignment` */

DROP TABLE IF EXISTS `AuthAssignment`;
CREATE TABLE `AuthAssignment` (
  `itemname` varchar(64) NOT NULL,
  `userid` varchar(64) NOT NULL,
  `bizrule` text,
  `data` text,
  PRIMARY KEY (`itemname`,`userid`),
  CONSTRAINT `AuthAssignment_ibfk_1` FOREIGN KEY (`itemname`) REFERENCES `AuthItem` (`name`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `AuthAssignment` */

insert  into `AuthAssignment`(`itemname`,`userid`,`bizrule`,`data`) values ('Admin','1',NULL,'N;');
insert  into `AuthAssignment`(`itemname`,`userid`,`bizrule`,`data`) values ('Guest','0',NULL,'N;');
insert  into `AuthAssignment`(`itemname`,`userid`,`bizrule`,`data`) values ('User.Admin.*','1',NULL,'N;');
insert  into `AuthAssignment`(`itemname`,`userid`,`bizrule`,`data`) values ('Settings.*','1',NULL,'N;');
insert  into `AuthAssignment`(`itemname`,`userid`,`bizrule`,`data`) values ('Ticket.ChangeCategory','1',NULL,'N;');
insert  into `AuthAssignment`(`itemname`,`userid`,`bizrule`,`data`) values ('Ticket.Create','1',NULL,'N;');
insert  into `AuthAssignment`(`itemname`,`userid`,`bizrule`,`data`) values ('Ticket.Delete','1',NULL,'N;');
insert  into `AuthAssignment`(`itemname`,`userid`,`bizrule`,`data`) values ('Ticket.Index','1',NULL,'N;');
insert  into `AuthAssignment`(`itemname`,`userid`,`bizrule`,`data`) values ('Ticket.Update','1',NULL,'N;');
insert  into `AuthAssignment`(`itemname`,`userid`,`bizrule`,`data`) values ('Ticket.View','1',NULL,'N;');
insert  into `AuthAssignment`(`itemname`,`userid`,`bizrule`,`data`) values ('Ticket.ViewCustomerData','1',NULL,'N;');

/*Table structure for table `AuthItem` */

DROP TABLE IF EXISTS `AuthItem`;
CREATE TABLE `AuthItem` (
  `name` varchar(64) NOT NULL,
  `type` int(11) NOT NULL,
  `description` text,
  `bizrule` text,
  `data` text,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `AuthItem` */

insert  into `AuthItem`(`name`,`type`,`description`,`bizrule`,`data`) values ('Admin',2,'Admin',NULL,'N;');
insert  into `AuthItem`(`name`,`type`,`description`,`bizrule`,`data`) values ('All',2,'empty role','return false;','N;');
insert  into `AuthItem`(`name`,`type`,`description`,`bizrule`,`data`) values ('Authenticated',2,'Registered user',NULL,'N;');
insert  into `AuthItem`(`name`,`type`,`description`,`bizrule`,`data`) values ('Guest',2,'Guest',NULL,'N;');
insert  into `AuthItem`(`name`,`type`,`description`,`bizrule`,`data`) values ('Manager',2,'Manager',NULL,'N;');
insert  into `AuthItem`(`name`,`type`,`description`,`bizrule`,`data`) values ('Settings.*',0,'Manage settings',NULL,'N;');
insert  into `AuthItem`(`name`,`type`,`description`,`bizrule`,`data`) values ('Ticket.ChangeCategory',0,'Change department',NULL,'N;');
insert  into `AuthItem`(`name`,`type`,`description`,`bizrule`,`data`) values ('Ticket.Create',0,'Ticket create',NULL,'N;');
insert  into `AuthItem`(`name`,`type`,`description`,`bizrule`,`data`) values ('Ticket.Delete',0,'Ticket delete',NULL,'N;');
insert  into `AuthItem`(`name`,`type`,`description`,`bizrule`,`data`) values ('Ticket.Index',0,'Department Manager',NULL,'N;');
insert  into `AuthItem`(`name`,`type`,`description`,`bizrule`,`data`) values ('Ticket.Update',0,'Ticket update',NULL,'N;');
insert  into `AuthItem`(`name`,`type`,`description`,`bizrule`,`data`) values ('Ticket.View',0,'View ticket','return Yii::app()->controller->checkGuestAccess();','N;');
insert  into `AuthItem`(`name`,`type`,`description`,`bizrule`,`data`) values ('User.Admin.*',1,'Manage users',NULL,'N;');
insert  into `AuthItem`(`name`,`type`,`description`,`bizrule`,`data`) values ('Ticket.ViewCustomerData',0,'View customer data',NULL,'N;');

/*Table structure for table `AuthItemChild` */

DROP TABLE IF EXISTS `AuthItemChild`;
CREATE TABLE `AuthItemChild` (
  `parent` varchar(64) NOT NULL,
  `child` varchar(64) NOT NULL,
  PRIMARY KEY (`parent`,`child`),
  KEY `child` (`child`),
  CONSTRAINT `AuthItemChild_ibfk_1` FOREIGN KEY (`parent`) REFERENCES `AuthItem` (`name`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `AuthItemChild_ibfk_2` FOREIGN KEY (`child`) REFERENCES `AuthItem` (`name`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `AuthItemChild` */

insert  into `AuthItemChild`(`parent`,`child`) values ('All','Ticket.ChangeCategory');
insert  into `AuthItemChild`(`parent`,`child`) values ('All','Ticket.Create');
insert  into `AuthItemChild`(`parent`,`child`) values ('Authenticated','Ticket.Create');
insert  into `AuthItemChild`(`parent`,`child`) values ('Guest','Ticket.Create');
insert  into `AuthItemChild`(`parent`,`child`) values ('Manager','Ticket.Create');
insert  into `AuthItemChild`(`parent`,`child`) values ('All','Ticket.Delete');
insert  into `AuthItemChild`(`parent`,`child`) values ('Manager','Ticket.Delete');
insert  into `AuthItemChild`(`parent`,`child`) values ('All','Ticket.Index');
insert  into `AuthItemChild`(`parent`,`child`) values ('Authenticated','Ticket.Index');
insert  into `AuthItemChild`(`parent`,`child`) values ('Manager','Ticket.Index');
insert  into `AuthItemChild`(`parent`,`child`) values ('All','Ticket.Update');
insert  into `AuthItemChild`(`parent`,`child`) values ('Authenticated','Ticket.Update');
insert  into `AuthItemChild`(`parent`,`child`) values ('Manager','Ticket.Update');
insert  into `AuthItemChild`(`parent`,`child`) values ('All','Ticket.View');
insert  into `AuthItemChild`(`parent`,`child`) values ('Authenticated','Ticket.View');
insert  into `AuthItemChild`(`parent`,`child`) values ('Guest','Ticket.View');
insert  into `AuthItemChild`(`parent`,`child`) values ('Manager','Ticket.View');

/*Table structure for table `Rights` */

DROP TABLE IF EXISTS `Rights`;
CREATE TABLE `Rights` (
  `itemname` varchar(64) NOT NULL,
  `type` int(11) NOT NULL,
  `weight` int(11) NOT NULL,
  PRIMARY KEY (`itemname`),
  CONSTRAINT `Rights_ibfk_1` FOREIGN KEY (`itemname`) REFERENCES `AuthItem` (`name`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `Rights` */

/*Table structure for table `tbl_message_views` */

DROP TABLE IF EXISTS `tbl_message_views`;
CREATE TABLE `tbl_message_views` (
  `id` bigint(15) NOT NULL AUTO_INCREMENT,
  `message_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `viewed_at` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `message` (`message_id`),
  KEY `user` (`user_id`),
  CONSTRAINT `FK_tbl_message_views` FOREIGN KEY (`message_id`) REFERENCES `tbl_ticket_message` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_tbl_message_views_user` FOREIGN KEY (`user_id`) REFERENCES `tbl_users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `tbl_profiles` */

DROP TABLE IF EXISTS `tbl_profiles`;
CREATE TABLE `tbl_profiles` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `full_name` varchar(255) NOT NULL DEFAULT '',
  `sign` text NOT NULL,
  PRIMARY KEY (`user_id`),
  CONSTRAINT `user_profile_id` FOREIGN KEY (`user_id`) REFERENCES `tbl_users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `tbl_profiles` */

insert  into `tbl_profiles`(`user_id`,`full_name`,`sign`) values (1, 'Admin', '');

/*Table structure for table `tbl_profiles_fields` */

DROP TABLE IF EXISTS `tbl_profiles_fields`;
CREATE TABLE `tbl_profiles_fields` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `varname` varchar(50) NOT NULL,
  `title` varchar(255) NOT NULL,
  `field_type` varchar(50) NOT NULL,
  `field_size` varchar(15) NOT NULL DEFAULT '0',
  `field_size_min` varchar(15) NOT NULL DEFAULT '0',
  `required` int(1) NOT NULL DEFAULT '0',
  `match` varchar(255) NOT NULL DEFAULT '',
  `range` varchar(255) NOT NULL DEFAULT '',
  `error_message` varchar(255) NOT NULL DEFAULT '',
  `other_validator` varchar(5000) NOT NULL DEFAULT '',
  `default` varchar(255) NOT NULL DEFAULT '',
  `widget` varchar(255) NOT NULL DEFAULT '',
  `widgetparams` varchar(5000) NOT NULL DEFAULT '',
  `position` int(3) NOT NULL DEFAULT '0',
  `visible` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `varname` (`varname`,`widget`,`visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `tbl_profiles_fields` */

insert  into `tbl_profiles_fields`(`id`,`varname`,`title`,`field_type`,`field_size`,`field_size_min`,`required`,`match`,`range`,`error_message`,`other_validator`,`default`,`widget`,`widgetparams`,`position`,`visible`) values (3,'full_name','Full name','VARCHAR','255','0',1,'','','','','','','',0,3);
insert  into `tbl_profiles_fields`(`id`,`varname`,`title`,`field_type`,`field_size`,`field_size_min`,`required`,`match`,`range`,`error_message`,`other_validator`,`default`,`widget`,`widgetparams`,`position`,`visible`) values (4,'sign','Sign','TEXT','1000','0',2,'','','','','\'\'','','',0,3);

/*Table structure for table `tbl_settings` */

DROP TABLE IF EXISTS `tbl_settings`;
CREATE TABLE `tbl_settings` (
  `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `group_id` INT(11) UNSIGNED NOT NULL,
  `name` VARCHAR(255) NOT NULL DEFAULT '',
  `label` VARCHAR(64) NOT NULL,
  `value` VARCHAR(255) NOT NULL DEFAULT '',
  `avail_values` TEXT,
  `visible` TINYINT(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `label` (`label`),
  KEY `group` (`group_id`),
  CONSTRAINT `FK_tbl_settings_group` FOREIGN KEY (`group_id`) REFERENCES `tbl_settings_group` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `tbl_settings` */

insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`) values (1,2,'Email address','email_address','',NULL);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`) values (4,2,'Email password','email_password','',NULL);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`, `visible`) values (5,2,'Email transport (smtp, imap...)','email_transport','imap',NULL, 0);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`) values (6,2,'IMAP host','email_host','',NULL);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`) values (7,2,'IMAP port','email_port','993',NULL);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`) values (8,2,'Email name','email_name','',NULL);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) values (9,1,'Use ssl','use_ssl','0',NULL,1);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`) values (10,1,'Company name','company_name','',NULL);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`) values (11,2,'Use ssl','use_ssl_email','1',NULL);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`) values (12,1,'License number','license_number','0',NULL);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`, `visible`) values (13,1,'','maintenance','0',NULL, 0);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`) values (14,1,'Api key','api_key','',NULL);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`, `visible`) values (15,1,'URL of integrated website (shopping cart for example)','api_url','',NULL,1);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`) values (16,2,'leave message','leave_message','1',NULL);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`, `visible`) values (17,2,'','version','2.1.0',NULL, 0);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) values (18,1,'avail languages','languages','','[\"en\"]',1);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) values (19,1,'close ticket','close_ticket','1',1,1);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) values (20,1,'auto response','auto_response','1','',1);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) values (21,1,'timezone','timezone','','',1);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) values (22,1,'worktime','worktime','','',1);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) values (23,3,'twitter account','twitter_account','',NULL,0);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) values (25,3,'consumer key','consumer_key','',NULL,0);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) values (26,3,'consumer secret','consumer_secret','',NULL,0);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) values (27,3,'oauth token','oauth_token','',NULL,0);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) values (28,3,'oauth token secret','oauth_token_secret','',NULL,0);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) values (29,4,'facebook page','facebook_page','',NULL,0);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) values (30,4,'facebook token','facebook_token','',NULL,0);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`) values (31,2,'SMTP host','smtp_host','',NULL);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`) values (32,2,'SMTP port','smtp_port',465,NULL);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`) values (33,2,'SMTP encryption','smtp_encryption','ssl','[\"ssl\", \"tls\"]');
INSERT INTO `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) VALUES ( NULL,'4','Plan','plan','trial',NULL,'0');
INSERT INTO `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) VALUES ( NULL,'4','Paid until','paid_until','0',NULL,'0');
INSERT INTO `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) VALUES ( NULL,'4','Paid users','paid_users','1',NULL,'0');
INSERT INTO `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) VALUES ( NULL,'1','Helpdesk URL','helpdesk_url','',NULL,'0');
INSERT INTO `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) VALUES ( NULL,'1','Close tickets in specified days:','auto_close_days','',NULL,'1');
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) values (null,4,'facebook page token','facebook_page_token','',NULL,0);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) values (null,4,'last uid','last_uid','',NULL,0);
insert  into `tbl_settings`(`id`,`group_id`,`name`,`label`,`value`,`avail_values`,`visible`) values (null,4,'app code','app_code','',NULL,0);

/*Table structure for table `tbl_settings_group` */

DROP TABLE IF EXISTS `tbl_settings_group`;
CREATE TABLE `tbl_settings_group` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `tbl_settings_group` */

insert  into `tbl_settings_group`(`id`,`name`) values (1,'General');
insert  into `tbl_settings_group`(`id`,`name`) values (2,'Email');
insert  into `tbl_settings_group`(`id`,`name`) values (3,'twitter settings');
insert  into `tbl_settings_group`(`id`,`name`) values (4,'facebook settings');

/*Table structure for table `tbl_ticket` */

DROP TABLE IF EXISTS `tbl_ticket`;
CREATE TABLE `tbl_ticket` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subject` varchar(255) CHARACTER SET utf8 NOT NULL,
  `content` text CHARACTER SET utf8 NOT NULL,
  `note` text NOT NULL,
  `user_id` int(11) NOT NULL,
  `tracking_id` varchar(10) CHARACTER SET utf8 NOT NULL,
  `assigned_id` int(11) NOT NULL,
  `status_id` int(11) NOT NULL,
  `priority_id` int(11) NOT NULL,
  `created_at` int(11) NOT NULL,
  `edited_at` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `access_key` char(16) CHARACTER SET utf8 COLLATE utf8_estonian_ci NOT NULL DEFAULT '',
  `author_email` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `author_name` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `is_open` smallint(1) NOT NULL DEFAULT '0',
  `last_staff` int(11) NOT NULL DEFAULT '0',
  `last_client` int(11) NOT NULL DEFAULT '0',
  `folder_id` int(11) NOT NULL DEFAULT '1',
  `external_id` varchar(64) NOT NULL DEFAULT '0',
  `external_type` varchar(16) NOT NULL DEFAULT '',
  `external_updated_time` INT(11) NOT NULL DEFAULT '0',
  `account_id` int(11) NOT NULL DEFAULT '0',
  `order_id` varchar(255) DEFAULT NULL,
  `close_time` int(11) DEFAULT '0',
  `permalink` varchar(255) DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `user` (`user_id`),
  KEY `NewIndex1` (`category_id`),
  KEY `priority` (`priority_id`),
  KEY `status` (`status_id`),
  KEY `folder` (`folder_id`),
  KEY `external` (`external_id`, `external_type`),
  KEY `external_updated_time` (`external_updated_time`),
  CONSTRAINT `category_id` FOREIGN KEY (`category_id`) REFERENCES `tbl_ticket_category` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_tbl_ticket` FOREIGN KEY (`folder_id`) REFERENCES `tbl_ticket_folders` (`id`),
  CONSTRAINT `priority_id` FOREIGN KEY (`priority_id`) REFERENCES `tbl_ticket_priority` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `status_id` FOREIGN KEY (`status_id`) REFERENCES `tbl_ticket_status` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `tbl_ticket_category` */

DROP TABLE IF EXISTS `tbl_ticket_category`;
CREATE TABLE `tbl_ticket_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `default_category` tinyint(1) NOT NULL DEFAULT '0',
  `company_id` bigint(20) NOT NULL DEFAULT '0',
  `code` varchar(16) DEFAULT NULL,
  `translations` TEXT,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `tbl_ticket_category` */

insert  into `tbl_ticket_category`(`id`,`name`,`default_category`,`company_id`,`code`,`translations`) values (1,'',1,0,'general','{\"en\":\"General\",\"ru\":\"\\u041e\\u0441\\u043d\\u043e\\u0432\\u043d\\u044b\\u0435\"}');
insert  into `tbl_ticket_category`(`id`,`name`,`default_category`,`company_id`,`code`,`translations`) values (2,'',0,0,'bug','{\"en\":\"Bug\",\"ru\":\"\\u041e\\u0448\\u0438\\u0431\\u043a\\u0438\"}');
insert  into `tbl_ticket_category`(`id`,`name`,`default_category`,`company_id`,`code`,`translations`) values (3,'',0,0,'custom_support','{\"en\":\"Custom support\",\"ru\":\"\\u041f\\u043e\\u0434\\u0434\\u0435\\u0440\\u0436\\u043a\\u0430\"}');

/*Table structure for table `tbl_ticket_favorites` */

DROP TABLE IF EXISTS `tbl_ticket_favorites`;
CREATE TABLE `tbl_ticket_favorites` (
  `id` bigint(15) NOT NULL AUTO_INCREMENT,
  `ticket_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `created_at` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ticket` (`ticket_id`),
  KEY `user` (`user_id`),
  CONSTRAINT `FK_tbl_ticket_favorites` FOREIGN KEY (`ticket_id`) REFERENCES `tbl_ticket` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_tbl_ticket_favorites_user` FOREIGN KEY (`user_id`) REFERENCES `tbl_users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `tbl_ticket_folders` */

DROP TABLE IF EXISTS `tbl_ticket_folders`;
CREATE TABLE `tbl_ticket_folders` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `code` varchar(32) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `tbl_ticket_folders` */

insert  into `tbl_ticket_folders`(`id`,`name`,`code`) values (1,'Inbox','inbox');
insert  into `tbl_ticket_folders`(`id`,`name`,`code`) values (2,'Trash','trash');
insert  into `tbl_ticket_folders`(`id`,`name`,`code`) values (3,'Spam','spam');
insert  into `tbl_ticket_folders`(`id`,`name`,`code`) values (4,'Twitter','twitter');
insert  into `tbl_ticket_folders`(`id`,`name`,`code`) values (5,'Facebook','facebook');

/*Table structure for table `tbl_ticket_message` */

DROP TABLE IF EXISTS `tbl_ticket_message`;
CREATE TABLE `tbl_ticket_message` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `message` text NOT NULL,
  `author_email` varchar(255) NOT NULL,
  `author_name` varchar(255) NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `assign_id` int(11) NOT NULL DEFAULT '0',
  `ticket_id` int(11) NOT NULL,
  `created_at` int(11) NOT NULL,
  `updated_at` int(11) NOT NULL,
  `is_answered` smallint(1) NOT NULL,
  `is_worker` smallint(1) NOT NULL DEFAULT '0',
  `moved_to` int(11) NOT NULL DEFAULT '0',
  `moved_from` int(11) NOT NULL DEFAULT '0',
  `external_id` varchar(64) NOT NULL DEFAULT '0',
  `external_type` varchar(16) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `ticket` (`ticket_id`),
  KEY `external` (`external_id`, `external_type`),
  CONSTRAINT `ticket_message` FOREIGN KEY (`ticket_id`) REFERENCES `tbl_ticket` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `tbl_ticket_message_attachment` */

DROP TABLE IF EXISTS `tbl_ticket_message_attachment`;
CREATE TABLE `tbl_ticket_message_attachment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `message_id` int(11) NOT NULL,
  `file_name` varchar(512) NOT NULL,
  `file_type` varchar(128) NOT NULL,
  `content` longblob NOT NULL,
  `size` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `message` (`message_id`),
  CONSTRAINT `FK_tbl_ticket_message_attachments` FOREIGN KEY (`message_id`) REFERENCES `tbl_ticket_message` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `tbl_ticket_priority` */

DROP TABLE IF EXISTS `tbl_ticket_priority`;
CREATE TABLE `tbl_ticket_priority` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `code` varchar(16) NOT NULL,
  `company_id` int(11) NOT NULL,
  `default` int(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `tbl_ticket_priority` */

insert  into `tbl_ticket_priority`(`id`,`name`,`code`,`company_id`,`default`) values (0,'-','-',1,0);
insert  into `tbl_ticket_priority`(`id`,`name`,`code`,`company_id`,`default`) values (1,'Low','low',1,1);
insert  into `tbl_ticket_priority`(`id`,`name`,`code`,`company_id`,`default`) values (2,'Normal','normal',1,0);
insert  into `tbl_ticket_priority`(`id`,`name`,`code`,`company_id`,`default`) values (3,'High','high',1,0);

/*Table structure for table `tbl_ticket_status` */

DROP TABLE IF EXISTS `tbl_ticket_status`;
CREATE TABLE `tbl_ticket_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `code` varchar(16) NOT NULL,
  `company_id` int(1) NOT NULL,
  `default` int(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `tbl_ticket_status` */

insert  into `tbl_ticket_status`(`id`,`name`,`code`,`company_id`,`default`) values (1,'Low','low',1,1);
insert  into `tbl_ticket_status`(`id`,`name`,`code`,`company_id`,`default`) values (2,'Normal','normal',1,0);
insert  into `tbl_ticket_status`(`id`,`name`,`code`,`company_id`,`default`) values (3,'High','high',1,0);

/*Table structure for table `tbl_ticket_views` */

DROP TABLE IF EXISTS `tbl_ticket_views`;
CREATE TABLE `tbl_ticket_views` (
  `ticket_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `updated_at` int(11) NOT NULL,
  PRIMARY KEY (`ticket_id`,`user_id`),
  KEY `ticket` (`ticket_id`),
  KEY `user` (`user_id`),
  CONSTRAINT `FK_tbl_ticket_views` FOREIGN KEY (`ticket_id`) REFERENCES `tbl_ticket` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_tbl_ticket_views_user` FOREIGN KEY (`user_id`) REFERENCES `tbl_users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `tbl_user_categories` */

DROP TABLE IF EXISTS `tbl_user_categories`;
CREATE TABLE `tbl_user_categories` (
  `id` bigint(15) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `all` smallint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `user` (`user_id`),
  KEY `category` (`category_id`),
  CONSTRAINT `user_categories` FOREIGN KEY (`user_id`) REFERENCES `tbl_users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `tbl_users` */

DROP TABLE IF EXISTS `tbl_users`;
CREATE TABLE `tbl_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(20) NOT NULL,
  `password` varchar(128) NOT NULL,
  `email` varchar(128) NOT NULL,
  `activkey` varchar(128) NOT NULL DEFAULT '',
  `create_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `lastvisit_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `superuser` int(1) NOT NULL DEFAULT '0',
  `status` int(1) NOT NULL DEFAULT '0',
  `is_worker` smallint(1) NOT NULL DEFAULT '0',
  `send_notifications` SMALLINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`),
  UNIQUE KEY `email` (`email`),
  KEY `status` (`status`),
  KEY `superuser` (`superuser`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `tbl_spam_filters`;
CREATE TABLE `tbl_spam_filters` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
  `type` VARCHAR(32) NOT NULL,
  `value` VARCHAR(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `tbl_email_templates`;
CREATE TABLE `tbl_email_templates` (
  `template_code` VARCHAR(32) NOT NULL,
  `name` VARCHAR(255) NOT NULL,
  `subject` VARCHAR(512) NOT NULL,
  `template` MEDIUMTEXT NOT NULL,
  `lang_code` VARCHAR(4) NOT NULL DEFAULT 'en',
  `account_id` INT(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`template_code`,`lang_code`,`account_id`)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

insert  into `tbl_email_templates` (`template_code`, `name`, `subject`, `template`, `lang_code`) values ('new_message', 'new message', 'RE: {TICKET_SUBJECT}', '{EMAIL_CONTENT}\r\n\r\n--\r\nYou can see this communication ticket and message online <a href="{TICKET_URL}">there</a>.', 'en');
insert  into `tbl_email_templates` (`template_code`, `name`, `subject`, `template`, `lang_code`) values ('new_message', 'new message', 'RE: {TICKET_SUBJECT}', '{EMAIL_CONTENT}\r\n\r\n--\r\nВы можете отследить всю коммуникация по данному вопросу <a href="{TICKET_URL}">здесь</a>.', 'ru');
insert  into `tbl_email_templates` (`template_code`, `name`, `subject`, `template`, `lang_code`) values ('new_ticket_notification', 'new ticket', 'Helpdesk System - Your ticket {TICKET_ID} has been created', 'Hi {TICKET_AUTHOR},\r\n\r\nThank you for contacting {COMPANY_NAME}''s support team!\r\nWe''ve received your ticket, and it''s been entered into our system with the ID #{TICKET_ID}.\r\n\r\nYou can see this communication ticket online <a href="{TICKET_URL}">there</a>.\r\n\r\n{COMPANY_NAME} team.\r\n\r\n----------\r\nPowered by <a href="http://re-desk.com">Re:Desk software</a>', 'en');
insert  into `tbl_email_templates` (`template_code`, `name`, `subject`, `template`, `lang_code`) values ('new_ticket_notification', 'new ticket', 'По вашему вопросу "{TICKET_SUBJECT}" был создан запрос', 'Здравствуйте {TICKET_AUTHOR},\r\n\r\nНовый запрос "{TICKET_SUBJECT}" был только что создан.\r\n\r\nВы можете отследить всю коммуникацию по данному вопросу <a href="{TICKET_URL}">здесь</a>.\r\n\r\n----------\r\nPowered by <a href="http://re-desk.com">Re:Desk software</a>', 'ru');
insert  into `tbl_email_templates` (`template_code`, `name`, `subject`, `template`, `lang_code`) values ('recovery', 'Recovery', '{COMPANY_NAME}: Password Recovery ', 'You have requested a password recovery. \r\n\r\nPlease follow this link to confirm your password recovery procedure:\r\n{ACTIVATION_URL}.\r\n\r\n----------\r\nPowered by <a href="http://re-desk.com">Re:Desk software</a>', 'en');
insert  into `tbl_email_templates` (`template_code`, `name`, `subject`, `template`, `lang_code`) values ('recovery', 'recovery', 'Вы запросили восстановление пароля на сайте {COMPANY_NAME}', 'Добрый день.\r\n\r\nВы запросили восстановления пароля на сайте {COMPANY_NAME}. \r\n\r\nДля сменя пароля пожалуйста пройдите по ссылке {ACTIVATION_URL}.\r\n\r\n----------\r\nPowered by <a href="http://re-desk.com">Re:Desk software</a>', 'ru');
insert  into `tbl_email_templates` (`template_code`, `name`, `subject`, `template`, `lang_code`) values ('registration', 'Registration', 'Registration: welcome to {COMPANY_NAME}''s help desk', 'To activate your account please click to <a href=''{ACTIVATION_URL}''>this link</a>\r\n\r\nThank you for choosing us!\r\n----------\r\nPowered by <a href="http://re-desk.com">Re:Desk software</a>', 'en');
insert  into `tbl_email_templates` (`template_code`, `name`, `subject`, `template`, `lang_code`) values ('registration', 'registration', 'Регистрация на сайте {COMPANY_NAME}', 'Добрый день.\r\n\r\nДля завершения регистрации проследуйте пожалуйста <a href=''{ACTIVATION_URL}''>по ссылке</a>\r\n\r\n----------\r\nPowered by <a href="http://re-desk.com">Re:Desk software</a>', 'ru');
insert  into `tbl_email_templates` (`template_code`, `name`, `subject`, `template`, `lang_code`) values ('ticket_created', 'staff ticket created', 'New ticket "{TICKET_SUBJECT}" has been created', 'Hi.\r\n\r\nNew ticket {TICKET_SUBJECT} created.\r\n\r\n{EMAIL_CONTENT}\r\n\r\nYou can see this communication ticket online <a href="{TICKET_URL}">there</a>.\r\n\r\n{COMPANY_NAME} team.\r\n\r\n----------\r\nPowered by <a href="http://re-desk.com">Re:Desk software</a>', 'en');
insert  into `tbl_email_templates` (`template_code`, `name`, `subject`, `template`, `lang_code`) values ('ticket_created', 'staff ticket created', 'Новый тикет {TICKET_SUBJECT} был создан', 'Добрый день.\r\n\r\nНовый тикет с темой {TICKET_SUBJECT} был создан только что.\r\n\r\n{EMAIL_CONTENT} \r\n\r\n----------\r\nPowered by <a href="http://re-desk.com">Re:Desk software</a>\r\n', 'ru');
insert  into `tbl_email_templates` (`template_code`, `name`, `subject`, `template`, `lang_code`) values ('ticket_assigned','ticket assigned','New ticket assigned','Hi.\n\nNew ticket {TICKET_SUBJECT} has been assigned.\n\n{EMAIL_CONTENT}\n\nYou can see this communication ticket online <a href=\"{TICKET_URL}\">there</a>.\n\n{COMPANY_NAME} team.\n\n----------\nPowered by <a href=\"http://re-desk.com\">Re:Desk software</a>','en');
insert  into `tbl_email_templates` (`template_code`, `name`, `subject`, `template`, `lang_code`) values ('ticket_assigned','ticket assigned','New ticket assigned','Hi.\n\nNew ticket {TICKET_SUBJECT} has been assigned.\n\n{EMAIL_CONTENT}\n\nYou can see this communication ticket online <a href=\"{TICKET_URL}\">there</a>.\n\n{COMPANY_NAME} team.\n\n----------\nPowered by <a href=\"http://re-desk.com\">Re:Desk software</a>','ru');


DROP TABLE IF EXISTS `tbl_email_accounts`;
CREATE TABLE `tbl_email_accounts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `email_address` varchar(512) NOT NULL,
  `email_password` varchar(512) NOT NULL,
  `email_transport` varchar(256) NOT NULL,
  `email_host` varchar(256) NOT NULL,
  `email_port` varchar(256) NOT NULL,
  `email_name` varchar(256) NOT NULL,
  `use_ssl_email` tinyint(1) NOT NULL DEFAULT '0',
  `leave_copy` tinyint(1) NOT NULL DEFAULT '0',
  `department` int(11) NOT NULL DEFAULT '0',
  `smtp_host` varchar(255) DEFAULT NULL,
  `smtp_port` varchar(255) DEFAULT NULL,
  `smtp_encryption` varchar(255) DEFAULT NULL,
PRIMARY KEY (`id`)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;

DROP TABLE IF EXISTS `tbl_migration`;
CREATE TABLE `tbl_migration` (
  `version` varchar(255) NOT NULL,
  `apply_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`version`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

insert  into `tbl_migration`(`version`,`apply_time`) values ('m000000_000000_base',1484830280);
insert  into `tbl_migration`(`version`,`apply_time`) values ('m170119_125221_update_settings',1484832176);
insert  into `tbl_migration`(`version`,`apply_time`) values ('m170120_085237_external_account_update',1484903154);
insert  into `tbl_migration`(`version`,`apply_time`) values ('m170126_131138_email_configs',1485438081);
insert  into `tbl_migration`(`version`,`apply_time`) values ('m170316_141006_order_id',1489673598);
insert  into `tbl_migration`(`version`,`apply_time`) values ('m170320_114145_assign_trmplate',1490011272);
insert  into `tbl_migration`(`version`,`apply_time`) values ('m170321_090340_autoclose',1490087138);
insert  into `tbl_migration`(`version`,`apply_time`) values ('m170414_083834_ticket_close_time',1492175537);
insert  into `tbl_migration`(`version`,`apply_time`) values ('m170616_192733_twitter_settings',1497642739);
insert  into `tbl_migration`(`version`,`apply_time`) values ('m170620_080015_page_token',1497945833);
insert  into `tbl_migration`(`version`,`apply_time`) values ('m170704_085720_permalink',1499158678);