<?php

class RecoveryController extends HDController
{
	public $defaultAction = 'recovery';

	/**
	 * Recovery password
	 */
	public function actionRecovery () {
		$form = new UserRecoveryForm;
		if (Yii::app()->user->id) {
		    	$this->redirect(Yii::app()->controller->module->returnUrl);
		    } else {
				$email = ((isset($_GET['email']))?$_GET['email']:'');
				$activkey = ((isset($_GET['activkey']))?$_GET['activkey']:'');
				if ($email&&$activkey) {
					$form2 = new UserChangePassword;
		    		$find = User::model()->notsafe()->findByAttributes(array('email'=>$email));
		    		if(isset($find)&&$find->activkey==$activkey) {
			    		if(isset($_POST['UserChangePassword'])) {
							$form2->attributes=$_POST['UserChangePassword'];
							if($form2->validate()) {
								$find->password = Yii::app()->controller->module->encrypting($form2->password);
								$find->activkey=Yii::app()->controller->module->encrypting(microtime().$form2->password);
								if ($find->status==0) {
									$find->status = 1;
								}
								$find->save();
								Yii::app()->user->setFlash('recoveryMessage', _t("password saved") . "<br /><ul><li><a href='" . $this->createUrl('/user/login') . "'>" . _t('back to sign') . "</a></li></ul>");
								$this->redirect(Yii::app()->controller->module->recoveryUrl);
							}
						}
						$this->render('changepassword',array('form'=>$form2));
		    		} else {
		    			Yii::app()->user->setFlash('recoveryMessage', "<p>" . _t("incorrect recovery link") . "</p><br /><ul><li><a href='" . $this->createUrl('/user/login') . "'>" . _t('back to sign') . "</a></li></ul>");
						$this->redirect(Yii::app()->controller->module->recoveryUrl);
		    		}
		    	} else {
			    	if(isset($_POST['UserRecoveryForm'])) {
			    		$form->attributes=$_POST['UserRecoveryForm'];
			    		if($form->validate()) {
							/** @var User $user */
			    			$user = User::model()->notsafe()->findbyPk($form->user_id);

							if (empty($user->activkey))
							{
								$user->activkey = UserModule::encrypting(microtime() . $user->password);
								$user->save(false);
							}

                            $activation_url = $this->createAbsoluteUrl(implode(Yii::app()->controller->module->recoveryUrl),array("activkey" => $user->activkey, "email" => $user->email));

							/**
							 * @var YiiMailMessage $email
							 */
							$email = new YiiMailMessage();
							$email->addTo($user->email, $user->profile ? $user->profile->full_name : '');

							$params = array (
								'{COMPANY_NAME}'   => Settings::get('company_name'),
								'{ACTIVATION_URL}' => $activation_url,
							);

							$email->template_code = 'recovery';
							$email->setBody($params);

							$from_email = Settings::get('email_address');

							if ($from_email)
								$email->setFrom(array(Settings::get('email_address') => Settings::get('email_name')));

							sendAppMail($email);

							Yii::app()->user->setFlash('recoveryMessage', _t("recovery check") . "<br /><ul><li><a href='" . $this->createUrl('/user/login') . "'>" . _t('back to sign') . "</a></li></ul>");
			    			$this->refresh();
			    		}
			    	}
		    		$this->render('recovery',array('form'=>$form));
		    	}
		    }
	}

}