<?php
/***************************************************************************
 *                                                                          *
 *				   (c) 2013 Re:Desk Development Team    				    *
 *                                                                          *
 * This  is  commercial  software,  only  users  who have purchased a valid *
 * license  and  accept  to the terms of the  License Agreement can install *
 * and use this program.                                                    *
 *                                                                          *
 ****************************************************************************
 * PLEASE READ THE FULL TEXT  OF THE SOFTWARE  LICENSE   AGREEMENT  IN  THE *
 * "copyright.txt" FILE PROVIDED WITH THIS DISTRIBUTION PACKAGE.            *
 ****************************************************************************/
?>
<div class="progress progress-striped" xmlns="http://www.w3.org/1999/html">
	<div class="bar bar-success" style="width: 25%;">License agreement</div>
	<div class="bar bar-success" style="width: 25%;">Checking requirements</div>
	<div class="bar bar-warning" style="width: 25%;">Server configuration</div>
	<div class="bar bar-warning" style="width: 25%;">Summary</div>
</div>

<div class="content grid_11 push_2">
	<table class="table">
		<tr>
			<th colspan="2">PHP version</th>
		</tr>
		<tr>
			<td>Re:Desk requires PHP version 5.1.0 or higher</td>
			<td><?=$php_support ? '<span class="label label-success">OK</span>' : '<span class="label label-warning">NO</span>'?>&nbsp;(<?=phpversion()?>)</td>
		</tr>
		<tr>
			<th colspan="2">MYSQL support</th>
		</tr>
		<tr>
			<td>PHP is required to be compiled with MySQL support. Please check that <strong>pdo_mysql</strong> extension enabled. MySQL server version should be 4.1 or higher</td>
			<td><?=$mysql_support ? '<span class="label label-success">OK</span>' : '<span class="label label-warning">NO</span>'?></td>
		</tr>
		<tr>
			<th colspan="2">CURL support</th>
		</tr>
		<tr>
			<td>It is required for operation of email grabbing</td>
			<td><?=$curl_support ? '<span class="label label-success">OK</span>' : '<span class="label label-warning">NO</span>'?></td>
		</tr>
		<tr>
			<th colspan="2">Safe mode</th>
		</tr>
		<tr>
			<td>PHP safe mode is required to be disabled</td>
			<td><?=$safe_mode ? '<span class="label label-success">OK</span>' : '<span class="label label-warning">NO</span>'?></td>
		</tr>
		<tr>
			<th colspan="2">Short tags</th>
		</tr>
		<tr>
			<td>PHP short_open_tag is enabled</td>
			<td><?=$short_tags ? '<span class="label label-success">OK</span>' : '<span class="label label-warning">NO</span>'?></td>
		</tr>
		<tr>
			<th colspan="2">File uploading</th>
		</tr>
		<tr>
			<td>PHP file uploads option is required to be enabled</td>
			<td><?=$file_upload ? '<span class="label label-success">OK</span>' : '<span class="label label-warning">NO</span>'?></td>
		</tr>
	</table>

	<p>
		<p>Before you proceed to the next step please make sure you have the appropriate permissions for the following Re:Desk files and directories:<br> </p>
		<p>
			<strong <?=$config_writable ? '' : 'style="color: red;"'?>>/protected/config/main.local.php</strong> - read/write for all users (666)<br>
			<strong <?=$cron_config_writable ? '' : 'style="color: red;"'?>>/protected/config/cron.local.php</strong> - read/write for all users (666)<br>
			<strong <?=$runtime_writable ? '' : 'style="color: red;"'?>>/protected/runtime/</strong> (and all its subdirectories) - read/write/execute for all users (777)<br>
			<strong <?=$assets_writable ? '' : 'style="color: red;"'?>>/assets/</strong> - read/write/execute for all users (777)<br>
		</p>
	</p>

	<?

	$install_disabled = in_array(false, array($php_support, $mysql_support, $curl_support, $cron_config_writable, $safe_mode, $file_upload, $config_writable, $runtime_writable, $assets_writable, $short_tags));

	?>

	<form action="<?=$this->createAbsoluteUrl('/install/step2')?>" method="POST">
		<?=CHtml::submitButton(
			'Next',
			array (
				'class'   => 'btn btn-primary' . ($install_disabled ? ' btn-warning' : ''),
				'onclick' => $install_disabled ? 'return false' : 'return true',
				'name'    => 'ok'
			)
		)?>
	</form>
	<? if ($install_disabled) {
		echo "<p style='color: red;'>Installation cannot be processed. Please contact your hosting support for check out requirements.</p>";
	}
	?>
</div>